total_ssim_n2self = 0;
total_ssim_ssrl_n2self = 0;

for ind = 0:4
    format_stc = 'predicted_outputs/clean_%d.png';
    str = sprintf(format_stc,ind);
    clean = imread(str);
    format_stc = 'predicted_outputs/noise2self_%d.png';
    str = sprintf(format_stc,ind);
    noise2self = imread(str);
    format_stc = 'predicted_outputs/ours_ssrl_noise2self_%d.png';
    str = sprintf(format_stc,ind);
    ssrl_noise2self = imread(str);  
    [ssimval_n2self, ssimmap]  =  ssim(noise2self,clean);
    [ssimval_ssrl_n2self, ssimmap]  =  ssim(ssrl_noise2self,clean);
    total_ssim_n2self = total_ssim_n2self + ssimval_n2self;
    total_ssim_ssrl_n2self = total_ssim_ssrl_n2self + ssimval_ssrl_n2self;
end
total_ssim_n2self/5
total_ssim_ssrl_n2self/5


